%define dname lineakd
%define lineakdv 0.5

%define csname lineakconfig
%define lineakcv 0.3.2

%define cname config

Summary:   Control multimedia keys on modern keyboards
Name:      %{dname}
Version:   %{lineakdv}
Release:   1
License:   GPL
Packager:  Michael A. Peters <mpeters@mac.com>
Group:     Utilities/System          
Source0:   %{dname}-%{lineakdv}.tar.gz
Source1:   %{csname}-%{lineakcv}.tar.gz
Patch0:    %{dname}.datadir.patch
Patch1:    %{csname}.datadir.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Daemon to controll the multimedia keys on modern keyboards.
 
Features X11 support, window manager independence, 
ability to configure all keys (via GUI [in a seperate RPM] & .conf file), 
volume control, and sound controls.

%package %{cname}
Summary: GUI for %{dname}-%{lineakdv}
Group: Utilities/System
Version: %{lineakcv}
Requires: %{dname} = %{lineakdv}
Obsoletes: lineakconfig
Provides: lineakconfig

%description %{cname}
GUI to put actions on the multimedia keys on modern keyboards.

%prep
%setup -c %{dname}-%{lineakdv} -b0
%setup -c %{dname}-%{lineakdv} -b1
cd %{dname}-%{lineakdv}
%patch0 -p1
cd ../%{csname}-%{lineakcv}
%patch1 -p1

%build

cd %{dname}-%{lineakdv}
%{configure}
%{__make}
cd ..

cd %{csname}-%{lineakcv}
%{configure}
%{__make}
cd ..

%install
cd %{dname}-%{lineakdv}
%{__make} DESTDIR=%{buildroot}/ install
cd ../%{csname}-%{lineakcv}
%{__make} DESTDIR=%{buildroot}/ install

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc %{dname}-%{lineakdv}/README %{dname}-%{lineakdv}/COPYING %{dname}-%{lineakdv}/AUTHORS %{dname}-%{lineakdv}/ChangeLog %{dname}-%{lineakdv}/INSTALL %{dname}-%{lineakdv}/NEWS %{dname}-%{lineakdv}/TODO %{dname}-%{lineakdv}/ABOUT-NLS
%{_bindir}/lineakd
%{_sysconfdir}/lineakkb.def

%files %{cname}
%defattr(-,root,root)
%doc %{csname}-%{lineakcv}/README %{csname}-%{lineakcv}/COPYING %{csname}-%{lineakcv}/AUTHORS %{csname}-%{lineakcv}/ChangeLog %{csname}-%{lineakcv}/INSTALL %{csname}-%{lineakcv}/NEWS %{csname}-%{lineakcv}/TODO %{csname}-%{lineakcv}/ABOUT-NLS
%{_bindir}/lineakconfig
%{_datadir}/%{csname}/*

%changelog
* Mon Dec 24 2002 Michael A. Peters <mpeters@mac.com>
- Created initial spec file.
